# AdNova Tests

There is `unit` tests and `e2e` tests available, unit tests are placed all around `backend` serivce folder and `e2e` tests placed [here](./e2e/)

## Running unit tests

### Backend service

See [services/backend/README.md](../services/backend/README.md#testing)

## Unit tests coverage

### Backend service

-image-

## Running e2e tests

See [tests/e2e/README.md](./e2e/README.md)
